%define majver %(echo %version | cut -d. -f1-2)

Name:          kongress
Version:       25.04.1
Release:       1mamba
Summary:       A KDE Plasma app which provides practical information about conferences
Group:         Graphical Desktop/Applications/Utilities
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://kde.org
Source:        https://download.kde.org/%{stable_kde6}/release-service/%{version}/src/kongress-%{version}.tar.xz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libQt5Svg-devel
BuildRequires: libgcc
BuildRequires: libkcalendarcore-devel
BuildRequires: libkconfig-devel
BuildRequires: libkcoreaddons-devel
BuildRequires: libkdbusaddons-devel
BuildRequires: libki18n-devel
BuildRequires: libknotifications-devel
BuildRequires: libstdc++6-devel
BuildRequires: qt5-qtbase-devel
BuildRequires: qt5-qtdeclarative-devel
BuildRequires: qt5-qtquickcontrols2-devel
## AUTOBUILDREQ-END
BuildRequires: cmake
BuildRequires: kf6-rpm-macros
BuildRequires: extra-cmake-modules

%description
Kongress provides practical information about conferences.


%prep
%setup -q

%build
%cmake_kf6
%cmake_build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%cmake_install

%find_lang %{name} --with-qt --with-man --with-html --all-name || touch %{name}.lang

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/kongress
%{_bindir}/kongressac
%{_datadir}/applications/org.kde.kongress.desktop
%{_datadir}/dbus-1/services/org.kde.kongressac.service
%{_datadir}/icons/hicolor/scalable/apps/org.kde.kongress.svg
%{_datadir}/knotifications6/kongressac.notifyrc
%{_datadir}/metainfo/org.kde.kongress.appdata.xml
%doc LICENSES

%changelog
* Mon May 12 2025 Automatic Build System <autodist@openmamba.org> 25.04.1-1mamba
- automatic version update by autodist

* Mon Apr 21 2025 Automatic Build System <autodist@openmamba.org> 25.04.0-1mamba
- automatic version update by autodist

* Sun Mar 09 2025 Automatic Build System <autodist@openmamba.org> 24.12.3-1mamba
- automatic version update by autodist

* Sun Feb 09 2025 Automatic Build System <autodist@openmamba.org> 24.12.2-1mamba
- automatic version update by autodist

* Sat Jan 11 2025 Automatic Build System <autodist@openmamba.org> 24.12.1-1mamba
- automatic version update by autodist

* Sat Dec 14 2024 Automatic Build System <autodist@openmamba.org> 24.12.0-1mamba
- automatic version update by autodist

* Fri Nov 08 2024 Automatic Build System <autodist@openmamba.org> 24.08.3-1mamba
- automatic version update by autodist

* Sat Oct 12 2024 Automatic Build System <autodist@openmamba.org> 24.08.2-1mamba
- automatic version update by autodist

* Sun Sep 15 2024 Automatic Build System <autodist@openmamba.org> 24.08.1-1mamba
- automatic version update by autodist

* Mon Aug 26 2024 Automatic Build System <autodist@openmamba.org> 24.08.0-1mamba
- automatic version update by autodist

* Fri Jul 05 2024 Automatic Build System <autodist@openmamba.org> 24.05.2-1mamba
- automatic version update by autodist

* Sat Jun 15 2024 Automatic Build System <autodist@openmamba.org> 24.05.1-1mamba
- automatic version update by autodist

* Sat May 25 2024 Automatic Build System <autodist@openmamba.org> 24.05.0-1mamba
- automatic version update by autodist

* Sun Apr 14 2024 Automatic Build System <autodist@openmamba.org> 24.02.2-1mamba
- automatic version update by autodist

* Sat Mar 23 2024 Automatic Build System <autodist@openmamba.org> 24.02.1-1mamba
- automatic version update by autodist

* Sun Mar 03 2024 Automatic Build System <autodist@openmamba.org> 24.02.0-1mamba
- automatic version update by autodist

* Sun Feb 18 2024 Automatic Build System <autodist@openmamba.org> 23.08.5-1mamba
- automatic version update by autodist

* Sat Dec 09 2023 Automatic Build System <autodist@mambasoft.it> 23.08.4-1mamba
- automatic version update by autodist

* Sat Nov 11 2023 Automatic Build System <autodist@mambasoft.it> 23.08.3-1mamba
- automatic version update by autodist

* Sat Oct 14 2023 Automatic Build System <autodist@mambasoft.it> 23.08.2-1mamba
- automatic version update by autodist

* Sat Sep 16 2023 Automatic Build System <autodist@mambasoft.it> 23.08.1-1mamba
- automatic version update by autodist

* Sun Aug 27 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 23.08.0-1mamba
- package created using the webbuild interface
